import { jsx } from "react/jsx-runtime";
import "@netlify/sdk--ui-core";
import { useNetlifySDK } from "./use_netlify_sdk.js";
import { useMemo } from "react";
const NetlifyExtensionUIRouter = ({
  getSurface
}) => {
  const sdk = useNetlifySDK();
  const Component = useMemo(() => {
    if (sdk.surface.name === null) {
      return null;
    }
    return getSurface(sdk.surface.name) ?? null;
  }, [sdk.surface]);
  return Component !== null ? /* @__PURE__ */ jsx(Component, {}) : null;
};
export {
  NetlifyExtensionUIRouter
};
//# sourceMappingURL=NetlifyExtensionUIRouter.js.map
